USB_RESET_ENDPOINT(9)

NAME
usb_reset_endpoint - Reset an endpoint's state.

SYNOPSIS

void usb_reset_endpoint(struct usb_device * dev, unsigned int epaddr);

ARGUMENTS

dev
    the device whose endpoint is to be reset

epaddr
    the endpoint's address. Endpoint number for output, endpoint number + USB_DIR_IN for input

DESCRIPTION

Resets any host-side endpoint state such as the toggle bit, sequence number or current window.

COPYRIGHT